Bug 1027551 - (CVE-2013-6476) CVE-2013-6476 cups-filters: pdftoopvp could load drivers from an attacker-controlled directory
CVE-2013-6476 cups-filters: pdftoopvp could load drivers from an attacker-con...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20140311,reported=2...
: Security
Depends On: 1074840
Blocks: 1002935 1010117
  Show dependency treegraph
 
Reported: 2013-11-06 23:29 EST by Murray McAllister
Modified: 2015-01-04 17:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 01:31:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2013-11-06 23:29:56 EST
It was found that the OPVPWrapper::loadDriver() function in the pdftoopvp filter did not restrict the directory drivers could be loaded from. As the driver name can be configured based on a PPD file, processing a PDF in an attacker-controlled directory containing a malicious driver could lead to arbitrary code execution with the privileges of the "lp" user.

Acknowledgements:

This issue was discovered by Florian Weimer of the Red Hat Product Security Team.
Comment 2 Huzaifa S. Sidhpurwala 2014-03-11 01:16:11 EDT
Public via:

http://bzr.linuxfoundation.org/loggerhead/openprinting/cups-filters/revision/7176

This issue has been resolved in upstream cups-filters-1.0.47
Comment 3 Huzaifa S. Sidhpurwala 2014-03-11 01:19:17 EDT
Created cups-filters tracking bugs for this issue:

Affects: fedora-all [bug 1074840]

Note You need to log in before you can comment on or make changes to this bug.